DeepFellow DOCS

Create Transcription

Transcribes audio into the input language.

POST
/v1/audio/transcriptions
AuthorizationBearer <token>

In: header

Header Parameters

OpenAI-Organization?Openai-Organization

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?Openai-Project

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

fileFile
modelModel

ID of the model to use.

chunking_strategy?Chunking Strategy

Controls how the audio is cut into chunks.When set to "auto", the server first normalizes loudness and then uses voice activity detection (VAD) to choose boundaries. server_vad object can be provided to tweak VAD detection parameters manually. If unset, the audio is transcribed as a single block.

include[]?Include[]

Additional information to include in the transcription response. logprobs will return the log probabilities of the tokens in the response to understand the model's confidence in the transcription.

known_speaker_names[]?Known Speaker Names[]

Optional list of speaker names that correspond to the audio samples provided in known_speaker_references[]. Each entry should be a short identifier (for example customer or agent).

known_speaker_references[]?Known Speaker References[]

Optional list of audio samples (as data URLs) that contain known speaker references matching known_speaker_names[]. Each sample must be between 2 and 10 seconds, and can use any of the same input audio formats supported by file.

language?Language

The language of the input audio. Supplying the input language in ISO-639-1 (e.g. en) format will improve accuracy and latency.

prompt?Prompt

An optional text to guide the model's style or continue a previous audio segment. The prompt should match the audio language.

response_format?ResponseTranscriptionFormat | null

The format of the output, in one of these options: json, text, srt, verbose_json, vtt, or diarized_json.

stream?Stream

If set to true, the model response data will be streamed to the client as it is generated using server-sent events.

temperature?Temperature

The sampling temperature, between 0 and 1. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. If set to 0, the model will use log probability to automatically increase the temperature until certain thresholds are hit.

timestamp_granularities[]?Timestamp Granularities[]

The timestamp granularities to populate for this transcription. response_format must be set verbose_json to use timestamp granularities. Either or both of these options are supported: word, or segment.Note: There is no additional latency for segment timestamps, but generating word timestamps incurs additional latency.

Response Body

curl -X POST "https://loading/v1/audio/transcriptions" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string" \  -F file="string" \  -F model="string"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.